#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Summary: Intel(R) I/O Acceleration Technology driver
Name: ioatdma
Version: 2.15.4
Release: 3%{?dist}
Epoch: 0
License: GPL
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Kernel
ExclusiveArch: i686 x86_64 ia64
Source: %{name}-%{version}.tar.gz
Source1: %{name}-depmod.conf
Packager: Jaroslaw.Polok@cern.ch
Vendor: CERN, http://cern.ch/linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}

Source1111: slc-kmodtool
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

%kernel_module_package -s %{SOURCE1111} -v %{kversion} -r %{krelease} %{?upvar} %{?xenvar} %{?paevar}

%description
Upgraded I/OAT driver for use with e.g. 10GE cards.

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%prep
%setup -n %{name}-%{version}
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   cd obj/$flavor
   if [ $flavor != default ]; then
    make KVER=`%{SOURCE1111} verrel`$flavor
   else
    make KVER=`%{SOURCE1111} verrel`
   fi
   cd -
#   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor V=1 CFLAGS_EXTRA="-I `pwd`/obj/$flavor/include"
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf
%doc source/COPYING source/README


 
%changelog
* Wed Nov 05 2008 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
- repackaged
- packaging changed to DUP: http://driverupdateprogram.com/

* Tue Sep 30 2008 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>       2.15.4-2.slc5
- changed naming
- provided ioatdma-driver package 
- arrannged spec file to follow other packages we have.
* Mon Sep 29 2008 Andras Horvath <Andras.Horvath@cern.ch>	2.15.4-1.cern
- initial release
